unit Unit1;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls, Tabs,
  Buttons, ExtCtrls, DFAnim, Balloon, SysUtils;

type
  TfrmMain = class(TForm)
    ButtonPanel: TPanel;
    TabSet: TTabSet;
    Notebook: TNotebook;
    OKBtn: TBitBtn;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Memo1: TMemo;
    GroupBox4: TGroupBox;
    dfaSwitch1: TDFAnimate;
    lblSwitch1: TLabel;
    Memo2: TMemo;
    GroupBox5: TGroupBox;
    dfaSwitch2: TDFAnimate;
    dfaSwitch3: TDFAnimate;
    Label1: TLabel;
    Label2: TLabel;
    dfaSwitch4: TDFAnimate;
    dfaSwitch5: TDFAnimate;
    BalloonHint1: TBalloonHint;
    GroupBox6: TGroupBox;
    Label3: TLabel;
    ScrollBar1: TScrollBar;
    panInterval: TPanel;
    DFAnimate1: TDFAnimate;
    DFAnimate2: TDFAnimate;
    DFAnimate3: TDFAnimate;
    DFAnimate5: TDFAnimate;
    DFAnimate6: TDFAnimate;
    DFAnimate7: TDFAnimate;
    DFAnimate8: TDFAnimate;
    DFAnimate9: TDFAnimate;
    DFAnimate10: TDFAnimate;
    DFAnimate4: TDFAnimate;
    DFAnimate11: TDFAnimate;
    DFAnimate12: TDFAnimate;
    DFAnimate13: TDFAnimate;
    procedure FormCreate(Sender: TObject);
    procedure TabSetClick(Sender: TObject);
    procedure dfaSwitch1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure OKBtnClick(Sender: TObject);
    procedure dfaSwitch2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dfaSwitch3MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dfaSwitch4MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dfaSwitch5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ScrollBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  { make the number of Tabs = number of Pages,
    and have the same names }
  TabSet.Tabs := Notebook.Pages;
end;

procedure TfrmMain.TabSetClick(Sender: TObject);
begin
  { set visible Page to which Tab was clicked }
  Notebook.PageIndex := TabSet.TabIndex;
  if TabSet.TabIndex = 2 then
    ScrollBar1.Position := 100    { Animation an }
  else
    ScrollBar1.Position := 0;     { Animation aus }

end;

procedure TfrmMain.dfaSwitch1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin

  dfaSwitch1.AktPic := dfaSwitch1.AktPic + 1;
  if dfaSwitch1.AktPic = 0 then
    lblSwitch1.Caption := 'OFF'
  else
    lblSwitch1.Caption := 'ON';

end;

procedure TfrmMain.OKBtnClick(Sender: TObject);
begin
  Halt;
end;

procedure TfrmMain.dfaSwitch2MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  dfaSwitch2.AktPic := dfaSwitch2.AktPic + 1;
end;

procedure TfrmMain.dfaSwitch3MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  dfaSwitch3.AktPic := dfaSwitch3.AktPic + 1;
end;

procedure TfrmMain.dfaSwitch4MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  dfaSwitch4.AktPic := dfaSwitch4.AktPic + 1;
end;

procedure TfrmMain.dfaSwitch5MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  dfaSwitch5.AktPic := dfaSwitch5.AktPic + 1;
end;

procedure TfrmMain.ScrollBar1Change(Sender: TObject);
begin
  panInterval.Caption := IntToStr(ScrollBar1.Position);
  dfAnimate1.Interval := ScrollBar1.Position;
  dfAnimate2.Interval := ScrollBar1.Position;
  dfAnimate3.Interval := ScrollBar1.Position;
  dfAnimate4.Interval := ScrollBar1.Position;
  dfAnimate5.Interval := ScrollBar1.Position;
  dfAnimate6.Interval := ScrollBar1.Position;
  dfAnimate7.Interval := ScrollBar1.Position;
  dfAnimate8.Interval := ScrollBar1.Position;
  dfAnimate9.Interval := ScrollBar1.Position;
  dfAnimate10.Interval := ScrollBar1.Position;
  dfAnimate11.Interval := ScrollBar1.Position;
  dfAnimate12.Interval := ScrollBar1.Position;
  dfAnimate13.Interval := ScrollBar1.Position;
end;

end.
